﻿using System;
using System.Collections;
using maddox.game;
using maddox.game.world;

public class Mission : AMission
{

    // menu level 1
    private void setMainMenu(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, false, 0, new string[] { "1  Damage engines, radiators, tanks", "2  Damage airfoil", "3  Damage fuselage", "4  Damage electrical systems", "5  Damage cockpit", "6  Damage hydraulic, pneumatic systems", "7  Damage undercarriage", "8  Damage guns", "9  Miscellaneous" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }

    // submenu level 2
    private void setSubMenu1(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 1, new string[] { "11 Damage engine 1", "12 Damage engine 2", "13 Damage engine 3", "14 Damage engine 4", "15 Damage tank 1", "16 Damage tank 2", "17 Damage tank 3", "18 Damage tank 4" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu2(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 2, new string[] { "21 Damage left wing", "22 Damage right wing", "23 Damage stabilizer", "24 Damage elevator", "25 Damage rudder", "26 Damage aileron", "27 Damage flap", "28 Damage slat", "29 Damage airbrake" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu3(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 3, new string[] { "31 Damage nose", "32 Damage tail", "33 Damage keel", "34 Damage hatch" }, new bool[] { true, true, true, true });
    }
    private void setSubMenu4(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 4, new string[] { "41 Damage electrical instrument", "42 Damage electrical power supply" }, new bool[] { true, true });
    }
    private void setSubMenu5(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 5, new string[] { "51  Damage cockpit list 1", "52  Damage cockpit list 2" }, new bool[] { true, true });
    }
    private void setSubMenu6(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 6, new string[] { "61 Damage hydraulic systems", "62 Damage pneumatic systems" }, new bool[] { true, true });
    }
    private void setSubMenu7(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 7, new string[] { "71 Damage undercarriage lock", "72 Damage undercarriage system", "73 Damage undercarriage wheels" }, new bool[] { true, true, true });
    }
    private void setSubMenu8(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 8, new string[] { "81 Damage gun 1", "82 Damage gun 2", "83 Damage gun 3", "84 Damage gun 4", "85 Damage gun 5", "86 Damage gun 6", "87 Damage gun 7", "88 Damage gun 8" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu9(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 9, new string[] { "91 Miscellaneous list 1", "92 Miscellaneous list 2", "93 Miscellaneous list 3" }, new bool[] { true, true, true });
    }


    // submenu level 3
    private void setSubMenu11(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 11, new string[] { "111  Damage oil system", "112  Damage water system", "113  Damage Fuel system", "114  Damage propeler system", "115  Damage plug system", "116  miscellaneous engine Damage" }, new bool[] { true, true, true, true, true, true });
    }
    private void setSubMenu12(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 12, new string[] { "121  Damage oil system", "122  Damage water system", "123  Damage Fuel system", "124  Damage propeler system", "125  Damage plug system", "126  miscellaneous engine Damage" }, new bool[] { true, true, true, true, true, true });
    }
    private void setSubMenu13(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 13, new string[] { "131  in the future maybe" }, new bool[] { true });
    }
    private void setSubMenu14(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 14, new string[] { "141  in the future maybe" }, new bool[] { true });
    }


    private void setSubMenu15(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 15, new string[] { "151 Fuel Tank Tiny Leak", "152 Fuel Tank Small Leak", "153 Fuel Tank Large Leak", "154 Fuel Tank Fire", "155 Fuel Tank Exploded", "156 Fuel Tank Hose Perforated", "157 Fuel Tank Pump Failure" }, new bool[] { true, true, true, true, true, true, true });
    }
    private void setSubMenu16(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 16, new string[] { "161 Fuel Tank Tiny Leak", "162 Fuel Tank Small Leak", "163 Fuel Tank Large Leak", "164 Fuel Tank Fire", "165 Fuel Tank Exploded", "166 Fuel Tank Hose Perforated", "167 Fuel Tank Pump Failure" }, new bool[] { true, true, true, true, true, true, true });
    }
    private void setSubMenu17(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 17, new string[] { "171 Fuel Tank Tiny Leak", "172 Fuel Tank Small Leak", "173 Fuel Tank Large Leak", "174 Fuel Tank Fire", "175 Fuel Tank Exploded", "176 Fuel Tank Hose Perforated", "177 Fuel Tank Pump Failure" }, new bool[] { true, true, true, true, true, true, true });
    }
    private void setSubMenu18(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 18, new string[] { "181 Fuel Tank Tiny Leak", "182 Fuel Tank Small Leak", "183 Fuel Tank Large Leak", "184 Fuel Tank Fire", "185 Fuel Tank Exploded", "186 Fuel Tank Hose Perforated", "187 Fuel Tank Pump Failure" }, new bool[] { true, true, true, true, true, true, true });
    }



    private void setSubMenu21(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 21, new string[] { "211 Cut left wing", "212 hit left wing" }, new bool[] { true, true });
    }
    private void setSubMenu22(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 22, new string[] { "221 Cut right wing", "222 hit right wing" }, new bool[] { true, true });
    }
    private void setSubMenu23(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 23, new string[] { "231 Damage left stabilizer", "232 Damage right stabilizer", "233 Damage vertical stabilizer" }, new bool[] { true, true, true });
    }
    private void setSubMenu24(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 24, new string[] { "241 Damage left elevator type 0", "242 Damage left elevator type 1", "243 Damage right elevator type 0", "244 Damage right elevator type 1", "245 Cut left elevator type 0", "246 Cut left elevator type 1", "247 Cut right elevator type 0", "248 Cut right elevator type 1", "249 Disabled Elevator Controls" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu25(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 25, new string[] { "251 Damage rudder type 0", "252 Damage rudder type 1", "253 Damage rudder type 2", "254 Damage rudder type 3", "255 Cut rudder type 0", "256 Cut rudder type 1", "257 Cut rudder type 2", "258 Cut rudder type 3", "259 Disabled Rudder Controls" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu26(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 26, new string[] { "261 Damage left aileron type 0", "262 Damage left aileron type 1", "263 Damage right aileron type 0", "264 Damage right aileron type 1", "265 Cut left aileron type 0", "266 Cut left aileron type 1", "267 Cut right aileron type 0", "268 Cut right aileron type 1", "269 Disabled Ailerons Controls" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu27(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 27, new string[] { "271  Damage flap surface", "272  Damage flap mecanism" }, new bool[] { true, true });
    }
    private void setSubMenu28(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 28, new string[] { "281 Damage slat type 0", "282 Damage slat type 1", "283 Damage slat type 2", "284 Damage slat type 3", "285 Cut slat type 0", "286 Cut slat type 1", "287 Cut slat type 2", "288 Cut slat type 3" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu29(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 29, new string[] { "291  Damage airbrake surface", "292  Damage airbrake mecanism" }, new bool[] { true, true });
    }
    private void setSubMenu31(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 31, new string[] { "311 Nose0", "312 Nose1", "313 Nose2", "314 Nose3" }, new bool[] { true, true, true, true });
    }
    private void setSubMenu32(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 32, new string[] { "Tail0", "Tail1", "Tail2", "Tail3", "Tail4", "Tail5", "Tail6", "Tail7" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu33(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 33, new string[] { "331 Keel0", "332 Keel1", "333 Keel2", "334 Keel3" }, new bool[] { true, true, true, true });
    }
    private void setSubMenu34(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 34, new string[] { "341 Hatch0", "342 Hatch1", "343 Hatch2", "344 Hatch3", "345 Hatch4", "346 Hatch5" }, new bool[] { true, true, true, true, true, true });
    }
    private void setSubMenu41(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 41, new string[] { "411 Elec Master Compass Failure", "412 Elec Weaponry Failure", "413 Elec Pri Navigation Failure", "414 Elec Sec Navigation Failure", "415 Elec Transceiver Failure", "416 Elec Illumination Failure" }, new bool[] { true, true, true, true, true, true });
    }
    private void setSubMenu42(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 42, new string[] { "421 Elec Generator Failure", "422 Elec Battery Failure", "423 Elec Primary Failure", "424 Elec Secondary Failure", "425 Eng0 Magneto 0Failure", "426 Eng0 Magneto1 Failure", "427 Eng1 Magneto0 Failure", "428 Eng1 Magneto1 Failure" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu51(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 51, new string[] { "511 Cockpit Damage Flag00", "512 Cockpit Damage Flag01", "513 Cockpit Damage Flag02", "514 Cockpit Damage Flag03", "515 Cockpit Damage Flag04", "516 Cockpit Damage Flag05", "517 Cockpit Damage Flag06", "518 Cockpit Damage Flag07" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu52(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 52, new string[] { "521 Cockpit Damage Flag08", "522 Cockpit Damage Flag09", "523 Cockpit Damage Flag10", "524 Cockpit Damage Flag11", "525 Cockpit Damage Flag12", "526 Cockpit Damage Flag13", "527 Cockpit Damage Flag14" }, new bool[] { true, true, true, true, true, true, true });
    }
    private void setSubMenu61(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 61, new string[] { "611 Hydraulics Pump Failure", "612 Hydraulics Primary Hose Perforated", "613 Hydraulics Piston Opened", "614 Hydraulics EmergencyFailure", "615 Hydraulics Tank Perforated" }, new bool[] { true, true, true, true, true });
    }
    private void setSubMenu62(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 62, new string[] { "621 Pneumatics Compressor Failure", "622 Pneumatics Primary Container Perforated", "623 Pneumatics Secondary Container Perforated", "624 Pneumatics Primary Hose Perforated", "625 Pneumatics Secondary Hose Perforated" }, new bool[] { true, true, true, true, true });
    }
    private void setSubMenu71(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 71, new string[] { "711 Undercarriage UpLock FailureL", "712 Undercarriage UpLock FailureR", "713 Undercarriage UpLock FailureC", "714 Undercarriage Down Lock FailureL", "715 Undercarriage Down Lock FailureR", "716 Undercarriage Down Lock FailureC" }, new bool[] { true, true, true, true, true, true });
    }
    private void setSubMenu72(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 72, new string[] { "721 Undercarriage Shock FailureL", "722 Undercarriage Shock FailureR", "723 Undercarriage Shock FailureC", "724 Undercarriage Kinematic FailureL", "725 Undercarriage Kinematic FailureR", "726 Undercarriage Kinematic FailureC", "727 Undercarriage Hose Perforated", "728 Undercarriage Drive Damaged" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu73(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 73, new string[] { "731 WheelBrakesFailureL", "732 WheelBrakesFailureR", "733 WheelBrakesTotalFailure", "734 WheelBrakesHosePerforated", "735 Wheel0", "736 Wheel1", "737 Wheel2", "738 Wheel3", "739 Wheel4" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu81(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 81, new string[] { "811 Machinegun Failure", "812 Machinegun Belt Broken", "813 Machinegun Jammed", "814 Machinegun Charged", "815 Machinegun Line Damaged" }, new bool[] { true, true, true, true, true });
    }
    private void setSubMenu82(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 82, new string[] { "821 Machinegun Failure", "822 Machinegun Belt Broken", "823 Machinegun Jammed", "824 Machinegun Charged", "825 Machinegun Line Damaged" }, new bool[] { true, true, true, true, true });
    }
    private void setSubMenu83(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 83, new string[] { "831 Machinegun Failure", "832 Machinegun Belt Broken", "833 Machinegun Jammed", "834 Machinegun Charged", "835 Machinegun Line Damaged" }, new bool[] { true, true, true, true, true });
    }
    private void setSubMenu84(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 84, new string[] { "841 Machinegun Failure", "842 Machinegun Belt Broken", "843 Machinegun Jammed", "844 Machinegun Charged", "845 Machinegun Line Damaged" }, new bool[] { true, true, true, true, true });
    }
    private void setSubMenu85(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 85, new string[] { "851 Machinegun Failure", "852 Machinegun Belt Broken", "853 Machinegun Jammed", "854 Machinegun Charged", "855 Machinegun Line Damaged" }, new bool[] { true, true, true, true, true });
    }
    private void setSubMenu86(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 86, new string[] { "861 Machinegun Failure", "862 Machinegun Belt Broken", "863 Machinegun Jammed", "864 Machinegun Charged", "865 Machinegun Line Damaged" }, new bool[] { true, true, true, true, true });
    }
    private void setSubMenu87(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 87, new string[] { "871 Machinegun Failure", "872 Machinegun Belt Broken", "873 Machinegun Jammed", "874 Machinegun Charged", "875 Machinegun Line Damaged" }, new bool[] { true, true, true, true, true });
    }
    private void setSubMenu88(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 88, new string[] { "881 Machinegun Failure", "882 Machinegun Belt Broken", "883 Machinegun Jammed", "884 Machinegun Charged", "885 Machinegun Line Damaged" }, new bool[] { true, true, true, true, true });
    }
    private void setSubMenu91(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 91, new string[] { "911 Part Small Damage", "912 Part Large Damage", "913 Weapon Small Damage", "914 Weapon Large Damage", "915 Engine Small Damage", "916 Engine Large Damage", "917 Life Keeper Part Small Damage", "918 Life Keeper Part Large Damage" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu92(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 92, new string[] { "921 Fuel Pump Failure", "922 Controls Generic Kickdown", "923 Separator", "924 Sponger00", "925 Sponger01", "926 Oxygen00 Damaged", "927 Oxygen01 Damaged", "928 Chunk Small Damage", "929 Chunk Large Damage" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu93(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 93, new string[] { "931 Nitro Tank0 Tiny Leak", "932 Nitro Tank0 Small Leak", "933 Nitro Tank0 Large Leak", "934 Nitro Tank0 Exploded" }, new bool[] { true, true, true, true });
    }

    // submenu level 4
    private void setSubMenu111(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 111, new string[] { "1111 Oil Pump Failure", "1112 Oil Radiator Perforated", "1113 Oil Line Broken", "1114 Oil Gasket Leak", "1115 Oil Secondaries Fire", "1116 Oil Secondaries Extinguished", "1117 Oil Tank Perforated" }, new bool[] { true, true, true, true, true, true, true });
    }
    private void setSubMenu112(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 112, new string[] { "1121 Water Pump Failure", "1122 Water Radiator0 Perforated", "1123 Water Radiator1 Perforated", "1124 Water Line Broken", "1125 Water Tank Perforated", "1126 Water Jacket Broken" }, new bool[] { true, true, true, true, true, true });
    }
    private void setSubMenu113(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 113, new string[] { "1131 Compressor Failure", "1132 Compressor Governor Failure", "1133 Compressor Seizure", "1134 Intercooler Burnt", "1135 Carb Failure", "1136 Carb Controls Failure", "1137 Fuel Line Perforated", "1138 Fuel Pump Failure", "1139 Fuel Secondaries Fire" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu114(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 114, new string[] { "1141 Prop Control Broken", "1142 Tretiary Control Broken", "1143 Prop Blade0 Broken", "1144 Prop Blade1 Broken", "1145 Prop Blade2 Broken", "1146 Prop Blade3 Broken", "1147 Engine0" }, new bool[] { true, true, true, true, true, true, true });
    }
    private void setSubMenu115(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 115, new string[] { "1151 Plug00 Failure", "1152 Plug01 Failure", "1153 Plug02 Failure", "1154 Plug03 Failure", "1155 Plug04 Failure", "1156 Plug05 Failure", "1157 Plug06 Failure", "1158 Plug07 Failure", "1159 Plug08 Failure" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu116(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 116, new string[] { "1161 Total Failure", "1162 Total Seizure", "1163 Intake Burnt", "1164 Cylinder Head Fire", "1165 Cylinder Head Extinguished", "1166 Exhaust Head Failure", "1167 Governor Failure", "1168 Governor Seizure", "1169 Throttle Control Broken" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }

    private void setSubMenu121(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 121, new string[] { "1211 Oil Pump Failure", "1212 Oil Radiator Perforated", "1213 Oil Line Broken", "1214 Oil Gasket Leak", "1215 Oil Secondaries Fire", "1216 Oil Secondaries Extinguished", "1217 Oil Tank Perforated" }, new bool[] { true, true, true, true, true, true, true });
    }
    private void setSubMenu122(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 122, new string[] { "1221 Water Pump Failure", "1222 Water Radiator0 Perforated", "1223 Water Radiator1 Perforated", "1224 Water Line Broken", "1225 Water Tank Perforated", "1226 Water Jacket Broken" }, new bool[] { true, true, true, true, true, true });
    }
    private void setSubMenu123(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 123, new string[] { "1231 Compressor Failure", "1232 Compressor Governor Failure", "1233 Compressor Seizure", "1234 Intercooler Burnt", "1235 Carb Failure", "1236 Carb Controls Failure", "1237 Fuel Line Perforated", "1238 Fuel Pump Failure", "1239 Fuel Secondaries Fire" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu124(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 124, new string[] { "1241 Prop Control Broken", "1242 Tretiary Control Broken", "1243 Prop Blade0 Broken", "1244 Prop Blade1 Broken", "1245 Prop Blade2 Broken", "1246 Prop Blade3 Broken", "1247 Engine0" }, new bool[] { true, true, true, true, true, true, true });
    }
    private void setSubMenu125(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 125, new string[] { "1251 Plug00 Failure", "1252 Plug01 Failure", "1253 Plug02 Failure", "1254 Plug03 Failure", "1255 Plug04 Failure", "1256 Plug05 Failure", "1257 Plug06 Failure", "1258 Plug07 Failure", "1259 Plug08 Failure" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }
    private void setSubMenu126(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 126, new string[] { "1261 Total Failure", "1262 Total Seizure", "1263 Intake Burnt", "1264 Cylinder Head Fire", "1265 Cylinder Head Extinguished", "1266 Exhaust Head Failure", "1267 Governor Failure", "1268 Governor Seizure", "1269 Throttle Control Broken" }, new bool[] { true, true, true, true, true, true, true, true, true });
    }

    private void setSubMenu211(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 211, new string[] { "2111 Cut left wing type 0", "2112 Cut left wing type 1", "2113 Cut left wing type 2", "2114 Cut left wing type 3", "2115 Cut left wing type 4", "2116 Cut left wing type 5", "2117 Cut left wing type 6", "2118 Cut left wing type 7" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu212(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 212, new string[] { "2121 hit left wing type 0", "2122 hit left wing type 1", "2123 hit left wing type 2", "2124 hit left wing type 3", "2125 hit left wing type 4", "2126 hit left wing type 5", "2127 hit left wing type 6", "2128 hit left wing type 7" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu221(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 221, new string[] { "2211 Cut right wing type 0", "2212 Cut right wing type 1", "2213 Cut right wing type 2", "2214 Cut right wing type 3", "2215 Cut right wing type 4", "2216 Cut right wing type 5", "2217 Cut right wing type 6", "2218 Cut right wing type 7" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu222(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 222, new string[] { "2221 hit right wing type 0", "2222 hit right wing type 1", "2223 hit right wing type 2", "2224 hit right wing type 3", "2225 hit right wing type 4", "2226 hit right wing type 5", "2227 hit right wing type 6", "2228 hit right wing type 7" }, new bool[] { true, true, true, true, true, true, true, true });
    }

    private void setSubMenu231(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 231, new string[] { "2311 hit left stabilizer type 0", "2312 hit left stabilizer type 1", "2313 Cut left stabilizer type 0", "2314 Cut left stabilizer type 1" }, new bool[] { true, true, true, true });
    }
    private void setSubMenu232(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 232, new string[] { "2321 hit right stabilizer type 0", "2322 hit right stabilizer type 1", "2323 Cut right stabilizer type 0", "2324 Cut right stabilizer type 1" }, new bool[] { true, true, true, true });
    }
    private void setSubMenu233(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 233, new string[] { "2331 hit vertical stabilizer type 0", "2332 hit vertical stabilizer type 1", "2333 hit vertical stabilizer type 2", "2334 hit vertical stabilizer type 3", "2335 Cut vertical stabilizer type 0", "2336 Cut vertical stabilizer type 1", "2337 Cut vertical stabilizer type 2", "2338 Cut vertical stabilizer type 3" }, new bool[] { true, true, true, true, true, true, true, true });
    }

    private void setSubMenu271(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 271, new string[] { "2711 Damage left flap type 0", "2712 Damage left flap type 1", "2713 Damage right flap type 0", "2714 Damage right flap type 1", "2715 Cut left flap type 0", "2716 Cut left flap type 1", "2717 Cut right flap type 0", "2718 Cut right flap type 1" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu272(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 272, new string[] { "2721 Landing Flaps Piston Failure1", "2722 Landing Flaps Piston Failure2", "2723 Landing Flaps Kinematic Failure1", "2724 Landing Flaps Kinematic Failure2", "2725 Landing Flaps Drive Failure", "2726 Landing Flaps Hose Perforated" }, new bool[] { true, true, true, true, true, true });
    }
    private void setSubMenu291(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 291, new string[] { "2911 Damage left airbrake type 0", "2912 Damage left airbrake type 1", "2913 Damage right airbrake type 0", "2914 Damage right airbrake type 1", "2915 Cut left airbrake type 0", "2916 Cut left airbrake type 1", "2917 Cut right airbrake type 0", "2918 Cut right airbrake type 1" }, new bool[] { true, true, true, true, true, true, true, true });
    }
    private void setSubMenu292(Player player)
    {
        GamePlay.gpSetOrderMissionMenu(player, true, 292, new string[] { "2921 Airbrake Hose Perforated", "2922 Airbrake Drive Failure", "2923 Airbrake Piston Failure" }, new bool[] { true, true, true });
    }

    public override void OnOrderMissionMenuSelected(Player player, int ID, int menuItemIndex)
    {
        AiAircraft PlayersAircraft = player.Place() as AiAircraft;
        // main menu level 1
        if (ID == 0)
        {
            if (menuItemIndex == 1) setSubMenu1(player);
            if (menuItemIndex == 2) setSubMenu2(player);
            if (menuItemIndex == 3) setSubMenu3(player);
            if (menuItemIndex == 4) setSubMenu4(player);
            if (menuItemIndex == 5) setSubMenu5(player);
            if (menuItemIndex == 6) setSubMenu6(player);
            if (menuItemIndex == 7) setSubMenu7(player);
            if (menuItemIndex == 8) setSubMenu8(player);
            if (menuItemIndex == 9) setSubMenu9(player);

        }
        // sub menu level 2
        if (ID == 1)
        {
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu11(player);
            if (menuItemIndex == 2) setSubMenu12(player);
            if (menuItemIndex == 3) setSubMenu13(player);
            if (menuItemIndex == 4) setSubMenu14(player);
            if (menuItemIndex == 5) setSubMenu15(player);
            if (menuItemIndex == 6) setSubMenu16(player);
            if (menuItemIndex == 7) setSubMenu17(player);
            if (menuItemIndex == 8) setSubMenu18(player);
        }
        if (ID == 2)
        {
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu21(player);
            if (menuItemIndex == 2) setSubMenu22(player);
            if (menuItemIndex == 3) setSubMenu23(player);
            if (menuItemIndex == 4) setSubMenu24(player);
            if (menuItemIndex == 5) setSubMenu25(player);
            if (menuItemIndex == 6) setSubMenu26(player);
            if (menuItemIndex == 7) setSubMenu27(player);
            if (menuItemIndex == 8) setSubMenu28(player);
            if (menuItemIndex == 9) setSubMenu29(player);
        }
        if (ID == 3)
        {
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu31(player);
            if (menuItemIndex == 2) setSubMenu32(player);
            if (menuItemIndex == 3) setSubMenu33(player);
            if (menuItemIndex == 4) setSubMenu34(player);
        }
        if (ID == 4)
        {
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu41(player);
            if (menuItemIndex == 2) setSubMenu42(player);
        }
        if (ID == 5)
        {
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu51(player);
            if (menuItemIndex == 2) setSubMenu52(player);
        }
        if (ID == 6)
        {
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu61(player);
            if (menuItemIndex == 2) setSubMenu62(player);
        }
        if (ID == 7)
        {
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu71(player);
            if (menuItemIndex == 2) setSubMenu72(player);
            if (menuItemIndex == 3) setSubMenu73(player);
        }
        if (ID == 8)
        {
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu81(player);
            if (menuItemIndex == 2) setSubMenu82(player);
            if (menuItemIndex == 3) setSubMenu83(player);
            if (menuItemIndex == 4) setSubMenu84(player);
            if (menuItemIndex == 5) setSubMenu85(player);
            if (menuItemIndex == 6) setSubMenu86(player);
            if (menuItemIndex == 7) setSubMenu87(player);
            if (menuItemIndex == 8) setSubMenu88(player);
        }
        if (ID == 9)
        {
            if (menuItemIndex == 0) setMainMenu(player);
            if (menuItemIndex == 1) setSubMenu91(player);
            if (menuItemIndex == 2) setSubMenu92(player);
            if (menuItemIndex == 3) setSubMenu93(player);
        }

        // sub menu level 3
        if (ID == 11)
        {
            if (menuItemIndex == 0) setSubMenu1(player);
            if (menuItemIndex == 1) setSubMenu111(player);
            if (menuItemIndex == 2) setSubMenu112(player);
            if (menuItemIndex == 3) setSubMenu113(player);
            if (menuItemIndex == 4) setSubMenu114(player);
            if (menuItemIndex == 5) setSubMenu115(player);
            if (menuItemIndex == 6) setSubMenu116(player);
        }
        if (ID == 12)
        {
            if (menuItemIndex == 0) setSubMenu1(player);
            if (menuItemIndex == 1) setSubMenu121(player);
            if (menuItemIndex == 2) setSubMenu122(player);
            if (menuItemIndex == 3) setSubMenu123(player);
            if (menuItemIndex == 4) setSubMenu124(player);
            if (menuItemIndex == 5) setSubMenu125(player);
            if (menuItemIndex == 6) setSubMenu126(player);
        }
        if (ID == 13)
        {
            if (menuItemIndex == 0) setSubMenu1(player);
            if (menuItemIndex == 1) setSubMenu1(player);
        }
        if (ID == 14)
        {
            if (menuItemIndex == 0) setSubMenu1(player);
            if (menuItemIndex == 1) setSubMenu1(player);
        }

        if (ID == 15)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank0TinyLeak);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank0SmallLeak);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank0LargeLeak);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank0Fire);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank0Exploded);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank0HosePerforated);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank0PumpFailure);
            setSubMenu15(player);
            if (menuItemIndex == 0) setSubMenu1(player);
        }
        if (ID == 16)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank1TinyLeak);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank1SmallLeak);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank1LargeLeak);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank1Fire);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank1Exploded);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank1HosePerforated);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank1PumpFailure);
            setSubMenu16(player);
            if (menuItemIndex == 0) setSubMenu1(player);
        }
        if (ID == 17)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank2TinyLeak);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank2SmallLeak);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank2LargeLeak);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank2Fire);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank2Exploded);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank2HosePerforated);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank2PumpFailure);
            setSubMenu17(player);
            if (menuItemIndex == 0) setSubMenu1(player);
        }
        if (ID == 18)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank3TinyLeak);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank3SmallLeak);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank3LargeLeak);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank3Fire);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank3Exploded);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank3HosePerforated);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelTank3PumpFailure);
            setSubMenu18(player);
            if (menuItemIndex == 0) setSubMenu1(player);
        }

        if (ID == 21)
        {
            if (menuItemIndex == 0) setSubMenu2(player);
            if (menuItemIndex == 1) setSubMenu211(player);
            if (menuItemIndex == 2) setSubMenu212(player);
        }
        if (ID == 22)
        {
            if (menuItemIndex == 0) setSubMenu2(player);
            if (menuItemIndex == 1) setSubMenu221(player);
            if (menuItemIndex == 2) setSubMenu222(player);
        }
        if (ID == 23)
        {
            if (menuItemIndex == 0) setSubMenu2(player);
            if (menuItemIndex == 1) setSubMenu231(player);
            if (menuItemIndex == 2) setSubMenu232(player);
            if (menuItemIndex == 3) setSubMenu233(player);
        }
        if (ID == 24)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.ElevatorL0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.ElevatorL1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.ElevatorR0, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.ElevatorR1, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.cutLimb(part.LimbNames.ElevatorL0);
            if (menuItemIndex == 6) PlayersAircraft.cutLimb(part.LimbNames.ElevatorL1);
            if (menuItemIndex == 7) PlayersAircraft.cutLimb(part.LimbNames.ElevatorR0);
            if (menuItemIndex == 8) PlayersAircraft.cutLimb(part.LimbNames.ElevatorR1);
            if (menuItemIndex == 9) PlayersAircraft.hitNamed(part.NamedDamageTypes.ControlsElevatorDisabled);
            setSubMenu24(player);
            if (menuItemIndex == 0) setSubMenu2(player);
        }
        if (ID == 25)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.Rudder0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.Rudder1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.Rudder2, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.Rudder3, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.cutLimb(part.LimbNames.Rudder0);
            if (menuItemIndex == 6) PlayersAircraft.cutLimb(part.LimbNames.Rudder1);
            if (menuItemIndex == 7) PlayersAircraft.cutLimb(part.LimbNames.Rudder2);
            if (menuItemIndex == 8) PlayersAircraft.cutLimb(part.LimbNames.Rudder3);
            if (menuItemIndex == 9) PlayersAircraft.hitNamed(part.NamedDamageTypes.ControlsRudderDisabled);
            setSubMenu25(player);
            if (menuItemIndex == 0) setSubMenu2(player);
        }
        if (ID == 26)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.AileronL0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.AileronL1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.AileronR0, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.AileronR1, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.cutLimb(part.LimbNames.AileronL0);
            if (menuItemIndex == 6) PlayersAircraft.cutLimb(part.LimbNames.AileronL1);
            if (menuItemIndex == 7) PlayersAircraft.cutLimb(part.LimbNames.AileronR0);
            if (menuItemIndex == 8) PlayersAircraft.cutLimb(part.LimbNames.AileronR1);
            if (menuItemIndex == 9) PlayersAircraft.hitNamed(part.NamedDamageTypes.ControlsAileronsDisabled);
            setSubMenu26(player);
            if (menuItemIndex == 0) setSubMenu2(player);
        }
        if (ID == 27)
        {
            if (menuItemIndex == 0) setSubMenu2(player);
            if (menuItemIndex == 1) setSubMenu271(player);
            if (menuItemIndex == 2) setSubMenu272(player);
        }
        if (ID == 28)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.Slat0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.Slat1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.Slat2, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.Slat3, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.cutLimb(part.LimbNames.Slat0);
            if (menuItemIndex == 6) PlayersAircraft.cutLimb(part.LimbNames.Slat1);
            if (menuItemIndex == 7) PlayersAircraft.cutLimb(part.LimbNames.Slat2);
            if (menuItemIndex == 8) PlayersAircraft.cutLimb(part.LimbNames.Slat3);
            setSubMenu28(player);
            if (menuItemIndex == 0) setSubMenu2(player);
        }
        if (ID == 29)
        {
            if (menuItemIndex == 0) setSubMenu2(player);
            if (menuItemIndex == 1) setSubMenu291(player);
            if (menuItemIndex == 2) setSubMenu292(player);
        }
        if (ID == 31)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.Nose0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.Nose1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.Nose2, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.Nose3, -7.5);
            setSubMenu31(player);
            if (menuItemIndex == 0) setSubMenu3(player);
        }
        if (ID == 32)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.Tail0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.Tail1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.Tail2, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.Tail3, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.hitLimb(part.LimbNames.Tail4, -7.5);
            if (menuItemIndex == 6) PlayersAircraft.hitLimb(part.LimbNames.Tail5, -7.5);
            if (menuItemIndex == 7) PlayersAircraft.hitLimb(part.LimbNames.Tail6, -7.5);
            if (menuItemIndex == 8) PlayersAircraft.hitLimb(part.LimbNames.Tail7, -7.5);
            setSubMenu32(player);
            if (menuItemIndex == 0) setSubMenu3(player);
        }
        if (ID == 33)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.Keel0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.Keel1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.Keel2, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.Keel3, -7.5);
            setSubMenu33(player);
            if (menuItemIndex == 0) setSubMenu3(player);
        }
        if (ID == 34)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.Hatch0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.Hatch1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.Hatch2, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.Hatch3, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.hitLimb(part.LimbNames.Hatch4, -7.5);
            if (menuItemIndex == 6) PlayersAircraft.hitLimb(part.LimbNames.Hatch5, -7.5);
            setSubMenu34(player);
            if (menuItemIndex == 0) setSubMenu3(player);
        }
        if (ID == 41)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.ElecMasterCompassFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.ElecWeaponryFailure);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.ElecPriNavigationFailure);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.ElecSecNavigationFailure);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.ElecTransceiverFailure);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.ElecIlluminationFailure);
            setSubMenu41(player);
            if (menuItemIndex == 0) setSubMenu4(player);
        }
        if (ID == 42)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.ElecGeneratorFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.ElecBatteryFailure);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.ElecPrimaryFailure);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.ElecSecondaryFailure);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0Magneto0Failure);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0Magneto1Failure);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1Magneto0Failure);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1Magneto1Failure);
            setSubMenu42(player);
            if (menuItemIndex == 0) setSubMenu4(player);
        }

        if (ID == 51)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag00);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag01);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag02);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag03);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag04);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag05);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag06);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag07);
            setSubMenu51(player);
            if (menuItemIndex == 0) setSubMenu5(player);
        }
        if (ID == 52)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag08);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag09);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag10);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag11);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag12);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag13);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.CockpitDamageFlag14);
            setSubMenu52(player);
            if (menuItemIndex == 0) setSubMenu5(player);
        }

        if (ID == 61)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.HydraulicsPumpFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.HydraulicsPrimaryHosePerforated);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.HydraulicsPistonOpened);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.HydraulicsEmergencyFailure);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.HydraulicsTankPerforated);
            setSubMenu61(player);
            if (menuItemIndex == 0) setSubMenu6(player);
        }
        if (ID == 62)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.PneumaticsCompressorFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.PneumaticsPrimaryContainerPerforated);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.PneumaticsSecondaryContainerPerforated);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.PneumaticsPrimaryHosePerforated);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.PneumaticsSecondaryHosePerforated);
            setSubMenu62(player);
            if (menuItemIndex == 0) setSubMenu6(player);
        }
        if (ID == 71)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageUpLockFailureL);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageUpLockFailureR);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageUpLockFailureC);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageDownLockFailureL);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageDownLockFailureR);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageDownLockFailureC);
            setSubMenu71(player);
            if (menuItemIndex == 0) setSubMenu7(player);
        }
        if (ID == 72)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageShockFailureL);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageShockFailureR);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageShockFailureC);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageKinematicFailureL);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageKinematicFailureR);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageKinematicFailureC);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageHosePerforated);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.UndercarriageDriveDamaged);
            setSubMenu72(player);
            if (menuItemIndex == 0) setSubMenu7(player);
        }
        if (ID == 73)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.WheelBrakesFailureL);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.WheelBrakesFailureR);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.WheelBrakesTotalFailure);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.WheelBrakesHosePerforated);
            if (menuItemIndex == 5) PlayersAircraft.hitLimb(part.LimbNames.Wheel0, -7.5);
            if (menuItemIndex == 6) PlayersAircraft.hitLimb(part.LimbNames.Wheel1, -7.5);
            if (menuItemIndex == 7) PlayersAircraft.hitLimb(part.LimbNames.Wheel2, -7.5);
            if (menuItemIndex == 8) PlayersAircraft.hitLimb(part.LimbNames.Wheel3, -7.5);
            if (menuItemIndex == 9) PlayersAircraft.hitLimb(part.LimbNames.Wheel4, -7.5);
            setSubMenu73(player);
            if (menuItemIndex == 0) setSubMenu7(player);
        }

        if (ID == 81)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun00Failure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun00BeltBroken);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun00Jammed);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun00Charged);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun00LineDamaged);
            setSubMenu81(player);
            if (menuItemIndex == 0) setSubMenu8(player);
        }
        if (ID == 82)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun01Failure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun01BeltBroken);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun01Jammed);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun01Charged);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun01LineDamaged);
            setSubMenu82(player);
            if (menuItemIndex == 0) setSubMenu8(player);
        }
        if (ID == 83)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun02Failure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun02BeltBroken);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun02Jammed);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun02Charged);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun02LineDamaged);
            setSubMenu83(player);
            if (menuItemIndex == 0) setSubMenu8(player);
        }
        if (ID == 84)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun03Failure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun03BeltBroken);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun03Jammed);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun03Charged);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun03LineDamaged);
            setSubMenu84(player);
            if (menuItemIndex == 0) setSubMenu8(player);
        }
        if (ID == 85)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun04Failure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun04BeltBroken);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun04Jammed);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun04Charged);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun04LineDamaged);
            setSubMenu85(player);
            if (menuItemIndex == 0) setSubMenu8(player);
        }
        if (ID == 86)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun05Failure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun05BeltBroken);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun05Jammed);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun05Charged);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun05LineDamaged);
            setSubMenu86(player);
            if (menuItemIndex == 0) setSubMenu8(player);
        }
        if (ID == 87)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun06Failure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun06BeltBroken);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun06Jammed);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun06Charged);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun06LineDamaged);
            setSubMenu87(player);
            if (menuItemIndex == 0) setSubMenu8(player);
        }
        if (ID == 88)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun07Failure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun07BeltBroken);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun07Jammed);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun07Charged);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Machinegun07LineDamaged);
            setSubMenu88(player);
            if (menuItemIndex == 0) setSubMenu8(player);
        }

        if (ID == 91)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.PartSmallDamage);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.PartLargeDamage);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.WeaponSmallDamage);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.WeaponLargeDamage);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.EngineSmallDamage);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.EngineLargeDamage);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.LifeKeeperPartSmallDamage);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.LifeKeeperPartLargeDamage);
            setSubMenu91(player);
            if (menuItemIndex == 0) setSubMenu9(player);
        }
        if (ID == 92)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.FuelPumpFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.ControlsGenericKickdown);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.Separator, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.Sponger00, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.hitLimb(part.LimbNames.Sponger01, -7.5);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Oxygen00Damaged);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.Oxygen01Damaged);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.ChunkSmallDamage);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.ChunkLargeDamage);
            setSubMenu92(player);
            if (menuItemIndex == 0) setSubMenu9(player);
        }
        if (ID == 93)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.NitroTank0TinyLeak);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.NitroTank0SmallLeak);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.NitroTank0LargeLeak);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.NitroTank0Exploded);
            setSubMenu93(player);
            if (menuItemIndex == 0) setSubMenu9(player);
        }

        // sub menu level 4
        if (ID == 111)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0OilPumpFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0OilRadiatorPerforated);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0OilLineBroken);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0OilGasketLeak);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0OilSecondariesFire);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0OilSecondariesExtinguished);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0OilTankPerforated);
            setSubMenu111(player);
            if (menuItemIndex == 0) setSubMenu11(player);
        }
        if (ID == 112)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0WaterPumpFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0WaterRadiator0Perforated);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0WaterRadiator1Perforated);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0WaterLineBroken);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0WaterTankPerforated);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0WaterJacketBroken);
            setSubMenu112(player);
            if (menuItemIndex == 0) setSubMenu11(player);
        }
        if (ID == 113)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0CompressorFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0CompressorGovernorFailure);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0CompressorSeizure);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0IntercoolerBurnt);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0CarbFailure);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0CarbControlsFailure);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0FuelLinePerforated);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0FuelPumpFailure);
            if (menuItemIndex == 9) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0FuelSecondariesFire);
            setSubMenu113(player);
            if (menuItemIndex == 0) setSubMenu11(player);
        }
        if (ID == 114)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0PropControlBroken);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0TretiaryControlBroken);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0PropBlade0Broken);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0PropBlade1Broken);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0PropBlade2Broken);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0PropBlade3Broken);
            if (menuItemIndex == 7) PlayersAircraft.hitLimb(part.LimbNames.Engine0, -7.5);
            setSubMenu114(player);
            if (menuItemIndex == 0) setSubMenu11(player);
        }
        if (ID == 115)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0Plug00Failure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0Plug01Failure);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0Plug02Failure);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0Plug03Failure);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0Plug04Failure);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0Plug05Failure);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0Plug06Failure);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0Plug07Failure);
            if (menuItemIndex == 9) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0Plug08Failure);
            setSubMenu115(player);
            if (menuItemIndex == 0) setSubMenu11(player);
        }
        if (ID == 116)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0TotalFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0TotalSeizure);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0IntakeBurnt);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0CylinderHeadFire);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0CylinderHeadExtinguished);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0ExhaustHeadFailure);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0GovernorFailure);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0GovernorSeizure);
            if (menuItemIndex == 9) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng0ThrottleControlBroken);
            setSubMenu116(player);
            if (menuItemIndex == 0) setSubMenu11(player);
        }

        if (ID == 121)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1OilPumpFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1OilRadiatorPerforated);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1OilLineBroken);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1OilGasketLeak);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1OilSecondariesFire);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1OilSecondariesExtinguished);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1OilTankPerforated);
            setSubMenu121(player);
            if (menuItemIndex == 0) setSubMenu12(player);
        }
        if (ID == 122)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1WaterPumpFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1WaterRadiator0Perforated);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1WaterRadiator1Perforated);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1WaterLineBroken);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1WaterTankPerforated);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1WaterJacketBroken);
            setSubMenu122(player);
            if (menuItemIndex == 0) setSubMenu12(player);
        }
        if (ID == 123)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1CompressorFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1CompressorGovernorFailure);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1CompressorSeizure);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1IntercoolerBurnt);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1CarbFailure);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1CarbControlsFailure);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1FuelLinePerforated);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1FuelPumpFailure);
            if (menuItemIndex == 9) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1FuelSecondariesFire);
            setSubMenu123(player);
            if (menuItemIndex == 0) setSubMenu12(player);
        }
        if (ID == 124)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1PropControlBroken);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1TretiaryControlBroken);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1PropBlade0Broken);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1PropBlade1Broken);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1PropBlade2Broken);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1PropBlade3Broken);
            if (menuItemIndex == 7) PlayersAircraft.hitLimb(part.LimbNames.Engine1, -7.5);
            setSubMenu124(player);
            if (menuItemIndex == 0) setSubMenu12(player);
        }
        if (ID == 125)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1Plug00Failure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1Plug01Failure);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1Plug02Failure);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1Plug03Failure);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1Plug04Failure);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1Plug05Failure);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1Plug06Failure);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1Plug07Failure);
            if (menuItemIndex == 9) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1Plug08Failure);
            setSubMenu125(player);
            if (menuItemIndex == 0) setSubMenu12(player);
        }
        if (ID == 126)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1TotalFailure);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1TotalSeizure);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1IntakeBurnt);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1CylinderHeadFire);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1CylinderHeadExtinguished);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1ExhaustHeadFailure);
            if (menuItemIndex == 7) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1GovernorFailure);
            if (menuItemIndex == 8) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1GovernorSeizure);
            if (menuItemIndex == 9) PlayersAircraft.hitNamed(part.NamedDamageTypes.Eng1ThrottleControlBroken);
            setSubMenu126(player);
            if (menuItemIndex == 0) setSubMenu12(player);
        }


        if (ID == 211)
        {
            if (menuItemIndex == 1) PlayersAircraft.cutLimb(part.LimbNames.WingL0);
            if (menuItemIndex == 2) PlayersAircraft.cutLimb(part.LimbNames.WingL1);
            if (menuItemIndex == 3) PlayersAircraft.cutLimb(part.LimbNames.WingL2);
            if (menuItemIndex == 4) PlayersAircraft.cutLimb(part.LimbNames.WingL3);
            if (menuItemIndex == 5) PlayersAircraft.cutLimb(part.LimbNames.WingL4);
            if (menuItemIndex == 6) PlayersAircraft.cutLimb(part.LimbNames.WingL5);
            if (menuItemIndex == 7) PlayersAircraft.cutLimb(part.LimbNames.WingL6);
            if (menuItemIndex == 8) PlayersAircraft.cutLimb(part.LimbNames.WingL7);
            setSubMenu211(player);
            if (menuItemIndex == 0) setSubMenu21(player);
        }
        if (ID == 212)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.WingL0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.WingL1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.WingL2, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.WingL3, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.hitLimb(part.LimbNames.WingL4, -7.5);
            if (menuItemIndex == 6) PlayersAircraft.hitLimb(part.LimbNames.WingL5, -7.5);
            if (menuItemIndex == 7) PlayersAircraft.hitLimb(part.LimbNames.WingL6, -7.5);
            if (menuItemIndex == 8) PlayersAircraft.hitLimb(part.LimbNames.WingL7, -7.5);
            setSubMenu212(player);
            if (menuItemIndex == 0) setSubMenu21(player);
        }
        if (ID == 221)
        {
            if (menuItemIndex == 1) PlayersAircraft.cutLimb(part.LimbNames.WingR0);
            if (menuItemIndex == 2) PlayersAircraft.cutLimb(part.LimbNames.WingR1);
            if (menuItemIndex == 3) PlayersAircraft.cutLimb(part.LimbNames.WingR2);
            if (menuItemIndex == 4) PlayersAircraft.cutLimb(part.LimbNames.WingR3);
            if (menuItemIndex == 5) PlayersAircraft.cutLimb(part.LimbNames.WingR4);
            if (menuItemIndex == 6) PlayersAircraft.cutLimb(part.LimbNames.WingR5);
            if (menuItemIndex == 7) PlayersAircraft.cutLimb(part.LimbNames.WingR6);
            if (menuItemIndex == 8) PlayersAircraft.cutLimb(part.LimbNames.WingR7);
            setSubMenu221(player);
            if (menuItemIndex == 0) setSubMenu22(player);
        }
        if (ID == 222)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.WingR0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.WingR1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.WingR2, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.WingR3, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.hitLimb(part.LimbNames.WingR4, -7.5);
            if (menuItemIndex == 6) PlayersAircraft.hitLimb(part.LimbNames.WingR5, -7.5);
            if (menuItemIndex == 7) PlayersAircraft.hitLimb(part.LimbNames.WingR6, -7.5);
            if (menuItemIndex == 8) PlayersAircraft.hitLimb(part.LimbNames.WingR7, -7.5);
            setSubMenu222(player);
            if (menuItemIndex == 0) setSubMenu22(player);
        }
        if (ID == 231)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.StabilizerL0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.StabilizerL1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.cutLimb(part.LimbNames.StabilizerL0);
            if (menuItemIndex == 4) PlayersAircraft.cutLimb(part.LimbNames.StabilizerL1);
            setSubMenu231(player);
            if (menuItemIndex == 0) setSubMenu23(player);
        }
        if (ID == 232)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.StabilizerR0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.StabilizerR1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.cutLimb(part.LimbNames.StabilizerR0);
            if (menuItemIndex == 4) PlayersAircraft.cutLimb(part.LimbNames.StabilizerR1);
            setSubMenu232(player);
            if (menuItemIndex == 0) setSubMenu23(player);
        }
        if (ID == 233)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.Keel0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.Keel1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.Keel2, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.Keel3, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.cutLimb(part.LimbNames.Keel0);
            if (menuItemIndex == 6) PlayersAircraft.cutLimb(part.LimbNames.Keel1);
            if (menuItemIndex == 7) PlayersAircraft.cutLimb(part.LimbNames.Keel2);
            if (menuItemIndex == 8) PlayersAircraft.cutLimb(part.LimbNames.Keel3);
            setSubMenu233(player);
            if (menuItemIndex == 0) setSubMenu23(player);
        }
        if (ID == 271)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.LandingFlapL0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.LandingFlapL1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.LandingFlapR0, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.LandingFlapR1, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.cutLimb(part.LimbNames.LandingFlapL0);
            if (menuItemIndex == 6) PlayersAircraft.cutLimb(part.LimbNames.LandingFlapL1);
            if (menuItemIndex == 7) PlayersAircraft.cutLimb(part.LimbNames.LandingFlapR0);
            if (menuItemIndex == 8) PlayersAircraft.cutLimb(part.LimbNames.LandingFlapR1);
            setSubMenu271(player);
            if (menuItemIndex == 0) setSubMenu27(player);
        }
        if (ID == 272)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.LandingFlapsPistonFailure1);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.LandingFlapsPistonFailure2);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.LandingFlapsKinematicFailure1);
            if (menuItemIndex == 4) PlayersAircraft.hitNamed(part.NamedDamageTypes.LandingFlapsKinematicFailure2);
            if (menuItemIndex == 5) PlayersAircraft.hitNamed(part.NamedDamageTypes.LandingFlapsDriveFailure);
            if (menuItemIndex == 6) PlayersAircraft.hitNamed(part.NamedDamageTypes.LandingFlapsHosePerforated);
            setSubMenu272(player);
            if (menuItemIndex == 0) setSubMenu27(player);
        }
        if (ID == 291)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitLimb(part.LimbNames.AirBrakeL0, -7.5);
            if (menuItemIndex == 2) PlayersAircraft.hitLimb(part.LimbNames.AirBrakeL1, -7.5);
            if (menuItemIndex == 3) PlayersAircraft.hitLimb(part.LimbNames.AirBrakeR0, -7.5);
            if (menuItemIndex == 4) PlayersAircraft.hitLimb(part.LimbNames.AirBrakeR1, -7.5);
            if (menuItemIndex == 5) PlayersAircraft.cutLimb(part.LimbNames.AirBrakeL0);
            if (menuItemIndex == 6) PlayersAircraft.cutLimb(part.LimbNames.AirBrakeL1);
            if (menuItemIndex == 7) PlayersAircraft.cutLimb(part.LimbNames.AirBrakeR0);
            if (menuItemIndex == 8) PlayersAircraft.cutLimb(part.LimbNames.AirBrakeR1);
            setSubMenu291(player);
            if (menuItemIndex == 0) setSubMenu2(player);
        }
        if (ID == 292)
        {
            if (menuItemIndex == 1) PlayersAircraft.hitNamed(part.NamedDamageTypes.AirbrakeHosePerforated);
            if (menuItemIndex == 2) PlayersAircraft.hitNamed(part.NamedDamageTypes.AirbrakeDriveFailure);
            if (menuItemIndex == 3) PlayersAircraft.hitNamed(part.NamedDamageTypes.AirbrakePistonFailure);
            setSubMenu292(player);
            if (menuItemIndex == 0) setSubMenu2(player);
        }


    }

    public override void OnPlayerConnected(Player player)
    {
        if (MissionNumber == 0)
        {
            setMainMenu(player);
        }
    }

    public override void Inited()
    {
        if (MissionNumber == 0)
        {
            setMainMenu(GamePlay.gpPlayer());
        }
    }
}
